%define name	audacity
%define version	2.1.2
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Free Audio Editor With Effects/Analysis Tools
License: 	GPLv2+
Group: 		Sound
URL: 		http://audacity.sourceforge.net/
Source0: 	http://audacity.googlecode.com/files/%{name}-minsrc-%{version}.tar.xz
Source1:	%{name}_16x16.png
Source2:	%{name}_32x32.png
Source3:	%{name}_64x64.png
Source4:	%{name}-manual-2.0.2.zip
Patch0: %{name}-no_buildstamp.patch
Patch1: %{name}-flac_assert.h.patch
Patch2: %{name}-ffmpeg.patch
Patch3: %{name}-2.0.4-alsa-by-default.patch
BuildRequires: cmake
BuildRequires: autoconf2.5
BuildRequires: %{_lib}fftw-devel >= 2.1.4
BuildRequires: gettext-devel
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}flac++6-devel
BuildRequires: %{_lib}jack-devel
BuildRequires: %{_lib}id3tag-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}mad-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires:  %{_lib}samplerate-devel
BuildRequires: %{_lib}sndfile-devel
BuildRequires: %{_lib}vorbis0-devel
BuildRequires: %{_lib}soundtouch-devel >= 1.4.0
BuildRequires: %{_lib}speex1-devel
BuildRequires: %{_lib}twolame-devel
BuildRequires: %{_lib}wxgtku3.0-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}vamp-plugin-sdk-devel
BuildRequires: %{_lib}expat1-devel
BuildRequires:  zip
BuildRequires: 	zlib1-devel
Requires(post): shared-mime-info
Requires(postun): shared-mime-info
Requires(post):	desktop-file-utils
Requires(postun):desktop-file-utils
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	%{_lib}wxgtkugl3.0_0
Requires:	wxgtk
Requires:	%{_lib}expat1
Requires:	%{_lib}portaudio2


%description
Audacity is a program that lets you manipulate digital audio waveforms.

In addition to letting you record sounds directly from within the program,
it imports many sound file formats, including WAV, AIFF, MP3 and Ogg/Vorbis.
It supports all common editing operations such as Cut, Copy, and Paste, plus
it will mix tracks and let you apply plug-in effects to any part of a sound.
It also has a built-in amplitude envelope editor, a customizable spectrogram
mode and a frequency analysis window for audio analysis applications.

%description -l de
Audacity ist ein innovativer graphischer Audio-Editor. 
Die Hauptziele in der Entwicklung sind Geschwindigkeit und Plattformunabhängigkeit. 
(Es verwendet das wxWindows-Toolkit und wird unter Linux, Windows, MacOS 9, MacOS 
X und FreeBSD voll unterstützt.) Neben der Unterstützung von beliebig vielen 
Tonspuren werden verschiedene Dateiformate, unter anderem WAV, AIFF, MP3 und 
OggVorbis, unterstützt. 
Zu weiteren Informationen siehe http://audacity.sourceforge.net/.
 
%prep
%setup -q -n %{name}-minsrc-%{version} -a4
%patch0
%patch1 -p1
%patch2
%patch3 -p1

%build
export LDFLAGS="-lX11"

%configure2_5x \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
    --enable-optimise \
    --enable-unicode \
    --with-vorbis=system \
    --with-libmad=system \
    --with-libsndfile=system \
    --with-libsamplerate \
    --with-id3tag=system \
    --with-soundtouch=system \
    --with-portmixer \
    --with-portaudio \
    --with-libtwolame=system \
    --with-ffmpeg=system

%make

%install
rm -rf %{buildroot} %{name}.lang
%makeinstall_std

%find_lang %{name}

#icon
mkdir -p %{buildroot}/{%{_miconsdir},%{_liconsdir}}
convert -transparent white %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
convert -transparent white %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png
cp %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png

#clean uneeded installed but not packaged
rm -rf %{buildroot}%{_docdir}/%{name}

# Menu
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop << EOF
[Desktop Entry]
Name=Audacity Sound Editor
Name[de]=Audacity Audio-Editor
Name[ru]=Редактор звуковых файлов Audacity
GenericName=Sound Editor
GenericName[de]=Audio-Editor
GenericName[ru]=Редактор звуковых файлов
Comment=Record and edit audio files
Comment[de]=Audio-Dateien aufnehmen und bearbeiten
Comment[ru]=Запись и редактирование звуковых файлов
Exec=audacity
Icon=%{name}.png
StartupNotify=true
Terminal=false
Type=Application
Categories=Application;X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio
MimeType=application/ogg;audio/basic;audio/mpeg;audio/x-aiff;audio/x-mp3;audio/x-wav;application/x-audacity-project;
Encoding=UTF-8
EOF

mkdir -p %{buildroot}%{_datadir}/%{name}/help/manual
cp -afR help/* %{buildroot}%{_datadir}/%{name}/help/

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-src-%{version}

%files -f %{name}.lang
%defattr(-,root,root)
%doc LICENSE.txt README.txt
%{_bindir}/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_datadir}/audacity
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/audacity.xml
%{_mandir}/man1/audacity.1*
%_datadir/pixmaps/%name.xpm
%_datadir/icons/hicolor/*/apps/audacity.png
%_datadir/icons/hicolor/scalable/apps/audacity.svg
%_datadir/pixmaps/audacity16.xpm
%_datadir/pixmaps/audacity32.xpm
%_datadir/pixmaps/gnome-mime-application-x-audacity-project.xpm
%_datadir/appdata/audacity.appdata.xml

%changelog
* Wed Jan 20 2016 bb <bb> 2.1.2-1pclos2016
- update

* Thu Jul 16 2015 bb <bb> 2.1.1-1pclos2015
- update

* Mon Jun 22 2015 bb <bb> 2.1.0-3pclos2015
- rebuild with updated wxgtk2.8

* Sun Apr 12 2015 bb <bb> 2.1.0-2pclos2015
- apply opensuse patches to make it build properly with 
- flac+1.3.x and ffmpeg 2.6.x


